al_fixfloor(3)

NAME

al_fixfloor - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    int al_fixfloor(al_fixed x);

DESCRIPTION

Returns the greatest integer not greater than x. That is, it rounds towards negative infinity.

Example:

    int result;
    /* This will put 33 into `result'. */
    result = al_fixfloor(al_itofix(100) / 3);
    /* And this will round down to 16. */
    result = al_fixfloor(al_itofix(100) / 6);

SEE ALSO

al_fixtoi(3), al_fixceil(3).